import { onMounted } from "vue";
import { useRouter, usePrismic } from "#imports";
export const usePrismicPreview = (defaultURL = "/") => {
  const { client, options: { linkResolver } } = usePrismic();
  const { push } = useRouter();
  onMounted(async () => {
    const redirectURL = await client.resolvePreviewURL({
      linkResolver,
      defaultURL
    });
    push(redirectURL);
  });
};
